Erro ao inicializar o app da Blizzard Battle.net pelo Lutris

Estou tentando usar o app da Blizzard Battle.net e aparece um erro : vulkan is not installed … O que eu devo fazer para corrigir esse erro ? Sendo que eu tenho todos os repositórios e drives instalados , minha placa de vídeo é AMD , por tanto eu uso os drives do mesa drives . No meu outro PC que usa placa de vídeo da Nvidia também está dando a mesma massagem caso conseguir resolver em um resolverei no outro também e ele também está com todos os drives recentes .


Você instalou as bibliotecas 32 bits do vulkan e do mesa?

1 Curtida

você se refere a essas ?

“sudo apt install mesa-vulkan-drivers mesa-vulkan-drivers:i386”

nesse caso sim , instalei .

Veja no próprio synaptic se esses pacotes estão instalados

1 Curtida

Qual a sua placa de video ?

AMD ATI Mobility Radeon HD 4650

Na versão anterior do Lutris eu conseguia inicializar a Blizzard Battle.net , mesmo com essa placa de vídeo .

1 Curtida

@klsio21

Precisas saber o nome da microarquitectura do processador e a compatibilidade dessa placa de vídeo, basta checar na lista de compatibilidade com a API do Vulkan.

Se quiseres saber como saber o nome da microarquitectura, basta executar o comando inxi -Fxz.

Então da última vez que testei o lutris ele funcionava acho que esteja faltando alguma biblioteca
Esse vídeo pode te ajudar

1 Curtida

Tente instalar o libassimp4 no próprio synaptic

1 Curtida

Não funcionou continuou dando o mesmo erro …

1 Curtida

Também não funcionou

@klsio21

Podemos saber os detalhes do teu computador com o inxi? Executa o comando no terminal:

inxi -Fxz

Copia e cola aqui, e escreve em Markdown aqui (veja Guia básico de Markdown e vai ao subtítulo “Código (Code Highlight)”).

1 Curtida

Mas quais detalhes são importantes para resolver o problema ?

Para resolver e entender os erros.

1 Curtida

quando abre o Lutris aparece aquela mensagem sobre o vulkan?

Não , aparece ao dar play no app da Blizzard .

Faz o seguinte remova ele e tente instalar novamente

@klsio21 já tentou seguir esses passos descritos aqui: Installing drivers · lutris/lutris Wiki · GitHub

2 Curtidas

libvulkan é para nvidia

1 Curtida